[metadata]
name = satnogsdecoders
url = https://gitlab.com/librespacefoundation/satnogs/satnogs-decoders
author = SatNOGS project
author_email = dev@satnogs.org
license = AGPLv3
classifiers =
    Development Status :: 4 - Beta
    Environment :: Console
    Intended Audience :: Telecommunications Industry
    Intended Audience :: Science/Research
    License :: OSI Approved :: GNU Affero General Public License v3
    Operating System :: POSIX :: Linux
    Programming Language :: Python :: 2.7
    Programming Language :: Python :: 3.6
    Topic :: Communications :: Ham Radio
description = SatNOGS Decoders

[options]
packages = find:
include_package_data = True
install_requires =
    kaitaistruct~=0.8.0
    enum34~=1.1.0

[options.entry_points]
console_scripts =
    decode_frame = satnogsdecoders.decode_frame:main
    decode_multiple = satnogsdecoders.decode_multiple:main

[flake8]
exclude = satnogsdecoders/_version.py,versioneer.py,satnogsdecoders/decoder,contrib,build,.tox

[tool:isort]
skip = _version.py,versioneer.py,satnogsdecoders/decoder,contrib,build,.tox
multi_line_output = 2

# See the docstring in versioneer.py for instructions. Note that you must
# re-run 'versioneer.py setup' after changing this section, and commit the
# resulting files.

[versioneer]
VCS = git
style = pep440
versionfile_source = satnogsdecoders/_version.py
versionfile_build = satnogsdecoders/_version.py
tag_prefix =
parentdir_prefix =
